This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 442263 - Review Request: quicksynergy - GUI for easily configuring Synergy2
Review Request: quicksynergy - GUI for easily configuring Synergy2
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
: 252133 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-13 12:20 EDT by Adel Gadllah
Modified: 2009-01-07 13:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-24 12:54:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lkundrak: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Adel Gadllah 2008-04-13 12:20:34 EDT
Spec URL: http://tgmweb.at/gadllah/quicksynergy.spec
SRPM URL: http://tgmweb.at/gadllah/quicksynergy-0.7-1.fc8.src.rpm
Description:
QuickSynergy is a graphical interface (GUI) for easily configuring Synergy2,
an application that allows the user to share his mouse and keyboard between
two or more computers.
Comment 1 Lubomir Kundrak 2008-04-20 15:30:32 EDT
*** Bug 252133 has been marked as a duplicate of this bug. ***
Comment 2 Lubomir Kundrak 2008-04-20 15:42:12 EDT
Thanks for the package.

1.) Desktop file needs some love:

$ desktop-file-validate /home/lkundrak/rpmbuild/SOURCES/quicksynergy.desktop
/home/lkundrak/rpmbuild/SOURCES/quicksynergy.desktop: warning: key "Encoding" in
group "Desktop Entry" is deprecated
/home/lkundrak/rpmbuild/SOURCES/quicksynergy.desktop: warning: value
"Network;Application;" for key "Categories" in group "Desktop Entry" contains a
deprecated value "Application"
$ 

Icon=qslogo.png

This is invalid. You should omit the .png suffix.

Name=QuickSynergy

Hm, there is no entry key that would tell tell much about what's the application
for. How about "Mouse and Keyboard Sharing" or something similar? Check out
GenericName and Comment keys.

The same applies for "Summary:" in the spec file.

http://standards.freedesktop.org/desktop-entry-spec/latest/

2.) /usr/share/pixmaps/qslogo.png should not be executable.

-rwxr-xr-x 1 root root 3897 2008-04-20 21:34 /usr/share/pixmaps/qslogo.png
Use install -m 644 instead of install to copy it.

In other respects the package looks fine. It is legible, sane. Builds fine in
mock, uses required make and compile flags. rpmlint does not complain.
Comment 3 Adel Gadllah 2008-04-21 08:05:22 EDT
Thanks for the review.

I have fixed the problems, new srpm and spec:
http://tgmweb.at/gadllah/quicksynergy.spec
http://tgmweb.at/gadllah/quicksynergy-0.7-2.fc8.src.rpm
Comment 4 Lubomir Kundrak 2008-04-21 08:08:44 EDT
Thanks, seems fine.

APPROVED
Comment 5 Adel Gadllah 2008-04-21 08:15:58 EDT
New Package CVS Request
=======================
Package Name: quicksynergy
Short Description: Share keyboard and mouse between computers
Owners: drago01
Branches: F-7 F-8 F-9
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-04-22 13:21:01 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.